/**
 * This class is generated by jOOQ
 */
package com.flamesgroup.storage.jooq.tables.records;


import com.flamesgroup.storage.jooq.tables.ScriptFile;

import java.util.Date;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record9;
import org.jooq.Row9;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class ScriptFileRecord extends UpdatableRecordImpl<ScriptFileRecord> implements Record9<Integer, String, String, byte[], Long, Date, Date, Integer, Integer> {

	private static final long serialVersionUID = 694916466;

	/**
	 * Setter for <code>public.script_file.id</code>.
	 */
	public ScriptFileRecord setId(Integer value) {
		setValue(0, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_file.id</code>.
	 */
	public Integer getId() {
		return (Integer) getValue(0);
	}

	/**
	 * Setter for <code>public.script_file.name</code>.
	 */
	public ScriptFileRecord setName(String value) {
		setValue(1, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_file.name</code>.
	 */
	public String getName() {
		return (String) getValue(1);
	}

	/**
	 * Setter for <code>public.script_file.version</code>.
	 */
	public ScriptFileRecord setVersion(String value) {
		setValue(2, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_file.version</code>.
	 */
	public String getVersion() {
		return (String) getValue(2);
	}

	/**
	 * Setter for <code>public.script_file.data</code>.
	 */
	public ScriptFileRecord setData(byte[] value) {
		setValue(3, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_file.data</code>.
	 */
	public byte[] getData() {
		return (byte[]) getValue(3);
	}

	/**
	 * Setter for <code>public.script_file.check_sum</code>.
	 */
	public ScriptFileRecord setCheckSum(Long value) {
		setValue(4, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_file.check_sum</code>.
	 */
	public Long getCheckSum() {
		return (Long) getValue(4);
	}

	/**
	 * Setter for <code>public.script_file.compilation_time</code>.
	 */
	public ScriptFileRecord setCompilationTime(Date value) {
		setValue(5, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_file.compilation_time</code>.
	 */
	public Date getCompilationTime() {
		return (Date) getValue(5);
	}

	/**
	 * Setter for <code>public.script_file.upload_time</code>.
	 */
	public ScriptFileRecord setUploadTime(Date value) {
		setValue(6, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_file.upload_time</code>.
	 */
	public Date getUploadTime() {
		return (Date) getValue(6);
	}

	/**
	 * Setter for <code>public.script_file.file_count</code>.
	 */
	public ScriptFileRecord setFileCount(Integer value) {
		setValue(7, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_file.file_count</code>.
	 */
	public Integer getFileCount() {
		return (Integer) getValue(7);
	}

	/**
	 * Setter for <code>public.script_file.class_count</code>.
	 */
	public ScriptFileRecord setClassCount(Integer value) {
		setValue(8, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_file.class_count</code>.
	 */
	public Integer getClassCount() {
		return (Integer) getValue(8);
	}

	// -------------------------------------------------------------------------
	// Primary key information
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Record1<Integer> key() {
		return (Record1) super.key();
	}

	// -------------------------------------------------------------------------
	// Record9 type implementation
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Row9<Integer, String, String, byte[], Long, Date, Date, Integer, Integer> fieldsRow() {
		return (Row9) super.fieldsRow();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Row9<Integer, String, String, byte[], Long, Date, Date, Integer, Integer> valuesRow() {
		return (Row9) super.valuesRow();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Integer> field1() {
		return ScriptFile.SCRIPT_FILE.ID;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<String> field2() {
		return ScriptFile.SCRIPT_FILE.NAME;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<String> field3() {
		return ScriptFile.SCRIPT_FILE.VERSION;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<byte[]> field4() {
		return ScriptFile.SCRIPT_FILE.DATA;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Long> field5() {
		return ScriptFile.SCRIPT_FILE.CHECK_SUM;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Date> field6() {
		return ScriptFile.SCRIPT_FILE.COMPILATION_TIME;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Date> field7() {
		return ScriptFile.SCRIPT_FILE.UPLOAD_TIME;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Integer> field8() {
		return ScriptFile.SCRIPT_FILE.FILE_COUNT;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Integer> field9() {
		return ScriptFile.SCRIPT_FILE.CLASS_COUNT;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Integer value1() {
		return getId();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String value2() {
		return getName();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String value3() {
		return getVersion();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public byte[] value4() {
		return getData();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Long value5() {
		return getCheckSum();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Date value6() {
		return getCompilationTime();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Date value7() {
		return getUploadTime();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Integer value8() {
		return getFileCount();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Integer value9() {
		return getClassCount();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptFileRecord value1(Integer value) {
		setId(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptFileRecord value2(String value) {
		setName(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptFileRecord value3(String value) {
		setVersion(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptFileRecord value4(byte[] value) {
		setData(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptFileRecord value5(Long value) {
		setCheckSum(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptFileRecord value6(Date value) {
		setCompilationTime(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptFileRecord value7(Date value) {
		setUploadTime(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptFileRecord value8(Integer value) {
		setFileCount(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptFileRecord value9(Integer value) {
		setClassCount(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptFileRecord values(Integer value1, String value2, String value3, byte[] value4, Long value5, Date value6, Date value7, Integer value8, Integer value9) {
		value1(value1);
		value2(value2);
		value3(value3);
		value4(value4);
		value5(value5);
		value6(value6);
		value7(value7);
		value8(value8);
		value9(value9);
		return this;
	}

	// -------------------------------------------------------------------------
	// Constructors
	// -------------------------------------------------------------------------

	/**
	 * Create a detached ScriptFileRecord
	 */
	public ScriptFileRecord() {
		super(ScriptFile.SCRIPT_FILE);
	}

	/**
	 * Create a detached, initialised ScriptFileRecord
	 */
	public ScriptFileRecord(Integer id, String name, String version, byte[] data, Long checkSum, Date compilationTime, Date uploadTime, Integer fileCount, Integer classCount) {
		super(ScriptFile.SCRIPT_FILE);

		setValue(0, id);
		setValue(1, name);
		setValue(2, version);
		setValue(3, data);
		setValue(4, checkSum);
		setValue(5, compilationTime);
		setValue(6, uploadTime);
		setValue(7, fileCount);
		setValue(8, classCount);
	}
}
